import os

lang = ['de', 'fr', 'ja']
languages = {'de':'German', 'fr':'French', 'ja':'Japanese'}
msg = 'msgstr ""\n\n'

def check():
    passed = 0
    failed = 0
    error = 0
    cwd = os.getcwd()
    for l in lang:
        po_path = os.path.join(cwd, l, 'LC_MESSAGES', 'inSync.po')
        if os.path.exists(po_path):
            try:
            	f = open(po_path)
                if msg in f.read():
                    print 'Client translation check failed for', languages[l]
                    failed += 1
                else:
                    print 'Client translation check passed for', languages[l]
                    passed += 1
    	    except Exception, fault:
                print 'Client translation check failed for %s, fault is %s' %(languages[l], fault)
                error += 1
            finally:
        	    f.close()
        else:
            print 'Client translation check failed, could not find po files for %s, path %s' %(languages[l], po_path)
            error += 1

    print 'Client translation checking: passed %d failed %d error %d' %(passed, failed, error)

if __name__ == '__main__':
    check()
